<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>HW-4</title>
</head>
<body>
<!--Создать простую HTML страницу с кнопкой Вычислить по IP.-->
<!--По нажатию на кнопку - отправить AJAX запрос по адресу https://api.ipify.org/?format=json,
получить оттуда IP адрес клиента.-->
<!--Узнав IP адрес, отправить запрос на сервис https://ip-api.com/ и получить информацию о физическом адресе.-->
<!--Под кнопкой вывести на страницу информацию, полученную из последнего запроса -
 континент, страна, регион, город, район города.-->

<button id="button">Вычислить по IP</button>
<!--<input type="button" id="button2" value="Вычислить по IP">-->
<script>
    const button = document.getElementById("button");
    button.addEventListener('click', async function () {
        try {
            let AjaxRequest = await fetch( "https://api.ipify.org/?format=json");
            let {ip} = await AjaxRequest.json();
            let getInfo = await fetch(`http://ip-api.com/json/${ip}?fields=country,region,regionName,continent`);
            let userAddress = await getInfo.json();
            console.log(userAddress);
            const ulList = document.createElement('ul');
            for(let [key, value] of Object.entries(userAddress)) {
                let li = document.createElement('li');
                li.textContent = value;
                ulList.append(li)
            }

            button.after(ulList);
        } catch(error) {
            console.error(`${error.name}: ${error.message}`)
        }

    })





    //     .then((response) => {
    //     return response.json()
    // })
    // .then((data) => {
    //     console.log(data)
    // })

    // async function userIp(ip) {
    //     let url = "https://api.ipify.org/?format=json";
    //     let response = await fetch(url);
    //     let commits = await response.json();
    //     alert(commits)
    // }

    // const button = document.getElementById('#button');



</script>

</body>
</html>